- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
WP1LeftIndentGroup Class Reference

`#include <WP1LeftIndentGroup.h>`

Inheritance diagram for WP1LeftIndentGroup:

## Public Member Functions
| WP1LeftIndentGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned char group)
| ~WP1LeftIndentGroup ()
void | _readContents (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
void | parse (WP1Listener *listener)
Public Member Functions inherited from WP1FixedLengthGroup
| WP1FixedLengthGroup (unsigned char group)
virtual | ~WP1FixedLengthGroup ()
Public Member Functions inherited from WP1Part
virtual | ~WP1Part ()

## Private Attributes
unsigned short | m_oldLeftMargin
unsigned short | m_newLeftMargin

## Additional Inherited Members
Static Public Member Functions inherited from WP1FixedLengthGroup
static WP1FixedLengthGroup * | constructFixedLengthGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned char group)
Static Public Member Functions inherited from WP1Part
static WP1Part * | constructPart (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned char readVal)
Protected Member Functions inherited from WP1FixedLengthGroup
void | _read (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
unsigned char | getGroup () const

## Constructor & Destructor Documentation

WP1LeftIndentGroup::WP1LeftIndentGroup | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | unsigned char | group
| ) |  |

WP1LeftIndentGroup::~WP1LeftIndentGroup | ( |  | ) |

## Member Function Documentation

void WP1LeftIndentGroup::_readContents | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption
| ) |  |
| virtual

Reimplemented from WP1FixedLengthGroup.

void WP1LeftIndentGroup::parse | ( | WP1Listener * | listener | ) |
| virtual

Implements WP1Part.

## Member Data Documentation

unsigned short WP1LeftIndentGroup::m_newLeftMargin
| private

Referenced by _readContents(), and parse().

unsigned short WP1LeftIndentGroup::m_oldLeftMargin
| private

Referenced by _readContents(), and parse().

The documentation for this class was generated from the following files:

- WP1LeftIndentGroup.h
- WP1LeftIndentGroup.cpp